summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-01 21:26:28 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-02 08:59:46 +0200
commit8b94ad41b1f9dc6740cc73c444e721c540e89f0d (patch)
tree9d6f9e818372d4339fd447e4389ba03911488674
parentb66064e5a11b5da0941821251d7992d1741f0e74 (diff)
downloadcurrent-8b94ad41b1f9dc6740cc73c444e721c540e89f0d.tar.gz
current-8b94ad41b1f9dc6740cc73c444e721c540e89f0d.tar.xz
Thu Aug 1 21:26:28 UTC 201920190801212628
ap/mariadb-10.4.7-x86_64-1.txz: Upgraded. This update fixes bugs and security issues. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2805 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2740 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2739 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2737 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2758 (* Security fix *) kde/pykde4-4.14.3-x86_64-9.txz: Rebuilt. kde/qtruby-4.14.3-x86_64-10.txz: Rebuilt. Recompiled against QScintilla-2.11.2. kde/smokeqt-4.14.3-x86_64-6.txz: Rebuilt. Recompiled against QScintilla-2.11.2. l/PyQt-4.12.3-x86_64-1.txz: Upgraded. Thanks to alienBOB. l/QScintilla-2.11.2-x86_64-1.txz: Upgraded. Shared library .so-version bump. Thanks to alienBOB. l/sip-4.19.18-x86_64-1.txz: Upgraded. Thanks to alienBOB. xap/sane-1.0.28-x86_64-1.txz: Upgraded.
-rw-r--r--ChangeLog.rss36
-rw-r--r--ChangeLog.txt24
-rw-r--r--FILELIST.TXT163
-rwxr-xr-xrecompress.sh3
-rwxr-xr-xsource/ap/mariadb/mariadb.SlackBuild2
-rw-r--r--source/ap/mariadb/mysql_install_db.nopam.diff18
-rw-r--r--source/kde/build/pykde42
-rw-r--r--source/kde/build/qtruby2
-rw-r--r--source/kde/build/smokeqt2
-rw-r--r--source/kde/cmake/kdepimlibs17
-rwxr-xr-xsource/kde/kde.SlackBuild8
-rw-r--r--source/kde/patch/pykde4.patch1
-rw-r--r--source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch18
-rw-r--r--source/kde/patch/smokeqt.patch1
-rw-r--r--source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff7
-rwxr-xr-xsource/l/PyQt/PyQt.SlackBuild68
-rwxr-xr-xsource/l/QScintilla/QScintilla.SlackBuild121
-rw-r--r--source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff11
-rw-r--r--source/l/sip/README.UPGRADES2
-rwxr-xr-xsource/l/sip/sip.SlackBuild96
-rwxr-xr-xsource/xap/sane/sane.SlackBuild8
21 files changed, 439 insertions, 171 deletions
diff --git a/ChangeLog.rss b/ChangeLog.rss
index bad7d0c4..e8ff79ac 100644
--- a/ChangeLog.rss
+++ b/ChangeLog.rss
@@ -11,10 +11,42 @@
<description>Tracking Slackware development in git.</description>
<language>en-us</language>
<id xmlns="http://www.w3.org/2005/Atom">urn:uuid:c964f45e-6732-11e8-bbe5-107b4450212f</id>
- <pubDate>Thu, 1 Aug 2019 00:20:07 GMT</pubDate>
- <lastBuildDate>Thu, 1 Aug 2019 06:59:25 GMT</lastBuildDate>
+ <pubDate>Thu, 1 Aug 2019 21:26:28 GMT</pubDate>
+ <lastBuildDate>Fri, 2 Aug 2019 06:59:42 GMT</lastBuildDate>
<generator>maintain_current_git.sh v 1.11</generator>
<item>
+ <title>Thu, 1 Aug 2019 21:26:28 GMT</title>
+ <pubDate>Thu, 1 Aug 2019 21:26:28 GMT</pubDate>
+ <link>https://git.slackware.nl/current/tag/?h=20190801212628</link>
+ <guid isPermaLink="false">20190801212628</guid>
+ <description>
+ <![CDATA[<pre>
+ap/mariadb-10.4.7-x86_64-1.txz: Upgraded.
+ This update fixes bugs and security issues.
+ For more information, see:
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2805
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2740
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2739
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2737
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2758
+ (* Security fix *)
+kde/pykde4-4.14.3-x86_64-9.txz: Rebuilt.
+kde/qtruby-4.14.3-x86_64-10.txz: Rebuilt.
+ Recompiled against QScintilla-2.11.2.
+kde/smokeqt-4.14.3-x86_64-6.txz: Rebuilt.
+ Recompiled against QScintilla-2.11.2.
+l/PyQt-4.12.3-x86_64-1.txz: Upgraded.
+ Thanks to alienBOB.
+l/QScintilla-2.11.2-x86_64-1.txz: Upgraded.
+ Shared library .so-version bump.
+ Thanks to alienBOB.
+l/sip-4.19.18-x86_64-1.txz: Upgraded.
+ Thanks to alienBOB.
+xap/sane-1.0.28-x86_64-1.txz: Upgraded.
+ </pre>]]>
+ </description>
+ </item>
+ <item>
<title>Thu, 1 Aug 2019 00:20:07 GMT</title>
<pubDate>Thu, 1 Aug 2019 00:20:07 GMT</pubDate>
<link>https://git.slackware.nl/current/tag/?h=20190801002007</link>
diff --git a/ChangeLog.txt b/ChangeLog.txt
index f868581d..608bc785 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -1,3 +1,27 @@
+Thu Aug 1 21:26:28 UTC 2019
+ap/mariadb-10.4.7-x86_64-1.txz: Upgraded.
+ This update fixes bugs and security issues.
+ For more information, see:
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2805
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2740
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2739
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2737
+ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2758
+ (* Security fix *)
+kde/pykde4-4.14.3-x86_64-9.txz: Rebuilt.
+kde/qtruby-4.14.3-x86_64-10.txz: Rebuilt.
+ Recompiled against QScintilla-2.11.2.
+kde/smokeqt-4.14.3-x86_64-6.txz: Rebuilt.
+ Recompiled against QScintilla-2.11.2.
+l/PyQt-4.12.3-x86_64-1.txz: Upgraded.
+ Thanks to alienBOB.
+l/QScintilla-2.11.2-x86_64-1.txz: Upgraded.
+ Shared library .so-version bump.
+ Thanks to alienBOB.
+l/sip-4.19.18-x86_64-1.txz: Upgraded.
+ Thanks to alienBOB.
+xap/sane-1.0.28-x86_64-1.txz: Upgraded.
++--------------------------+
Thu Aug 1 00:20:07 UTC 2019
ap/vim-8.1.1778-x86_64-1.txz: Upgraded.
l/imagemagick-6.9.10_58-x86_64-1.txz: Upgraded.
diff --git a/FILELIST.TXT b/FILELIST.TXT
index 8169f740..fb6260a3 100644
--- a/FILELIST.TXT
+++ b/FILELIST.TXT
@@ -1,20 +1,20 @@
-Thu Aug 1 00:32:19 UTC 2019
+Thu Aug 1 21:41:58 UTC 2019
Here is the file list for this directory. If you are using a
mirror site and find missing or extra files in the disk
subdirectories, please have the archive administrator refresh
the mirror.
-drwxr-xr-x 12 root root 4096 2019-08-01 00:20 .
+drwxr-xr-x 12 root root 4096 2019-08-01 21:26 .
-rw-r--r-- 1 root root 10064 2016-06-30 18:39 ./ANNOUNCE.14_2
-rw-r--r-- 1 root root 14341 2018-11-29 05:40 ./CHANGES_AND_HINTS.TXT
--rw-r--r-- 1 root root 921861 2019-07-29 23:29 ./CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-07-29 23:29 ./CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 921861 2019-08-01 00:32 ./CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-01 00:32 ./CHECKSUMS.md5.asc
-rw-r--r-- 1 root root 17976 1994-06-10 02:28 ./COPYING
-rw-r--r-- 1 root root 35147 2007-06-30 04:21 ./COPYING3
-rw-r--r-- 1 root root 19573 2016-06-23 20:08 ./COPYRIGHT.TXT
-rw-r--r-- 1 root root 616 2006-10-02 04:37 ./CRYPTO_NOTICE.TXT
--rw-r--r-- 1 root root 668868 2019-08-01 00:20 ./ChangeLog.txt
+-rw-r--r-- 1 root root 669863 2019-08-01 21:26 ./ChangeLog.txt
drwxr-xr-x 3 root root 4096 2013-03-20 22:17 ./EFI
drwxr-xr-x 2 root root 4096 2019-07-29 02:33 ./EFI/BOOT
-rw-r--r-- 1 root root 1417216 2019-07-05 18:54 ./EFI/BOOT/bootx64.efi
@@ -25,9 +25,9 @@ drwxr-xr-x 2 root root 4096 2019-07-29 02:33 ./EFI/BOOT
-rwxr-xr-x 1 root root 2504 2019-07-05 18:54 ./EFI/BOOT/make-grub.sh
-rw-r--r-- 1 root root 10722 2013-09-21 19:02 ./EFI/BOOT/osdetect.cfg
-rw-r--r-- 1 root root 1273 2013-08-12 21:08 ./EFI/BOOT/tools.cfg
--rw-r--r-- 1 root root 1211713 2019-07-29 23:28 ./FILELIST.TXT
+-rw-r--r-- 1 root root 1211713 2019-08-01 00:32 ./FILELIST.TXT
-rw-r--r-- 1 root root 1572 2012-08-29 18:27 ./GPG-KEY
--rw-r--r-- 1 root root 733452 2019-08-01 00:30 ./PACKAGES.TXT
+-rw-r--r-- 1 root root 733446 2019-08-01 21:40 ./PACKAGES.TXT
-rw-r--r-- 1 root root 8564 2016-06-28 21:33 ./README.TXT
-rw-r--r-- 1 root root 3635 2019-07-29 02:08 ./README.initrd
-rw-r--r-- 1 root root 34412 2017-12-01 17:44 ./README_CRYPT.TXT
@@ -786,11 +786,11 @@ drwxr-xr-x 2 root root 4096 2012-09-20 18:06 ./patches
-rw-r--r-- 1 root root 575 2012-09-20 18:06 ./patches/FILE_LIST
-rw-r--r-- 1 root root 14 2012-09-20 18:06 ./patches/MANIFEST.bz2
-rw-r--r-- 1 root root 224 2012-09-20 18:06 ./patches/PACKAGES.TXT
-drwxr-xr-x 18 root root 4096 2019-08-01 00:30 ./slackware64
--rw-r--r-- 1 root root 291006 2019-08-01 00:30 ./slackware64/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-08-01 00:30 ./slackware64/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 362471 2019-08-01 00:27 ./slackware64/FILE_LIST
--rw-r--r-- 1 root root 3689422 2019-08-01 00:28 ./slackware64/MANIFEST.bz2
+drwxr-xr-x 18 root root 4096 2019-08-01 21:40 ./slackware64
+-rw-r--r-- 1 root root 291012 2019-08-01 21:40 ./slackware64/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-01 21:40 ./slackware64/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 362477 2019-08-01 21:37 ./slackware64/FILE_LIST
+-rw-r--r-- 1 root root 3693315 2019-08-01 21:38 ./slackware64/MANIFEST.bz2
lrwxrwxrwx 1 root root 15 2009-08-23 23:34 ./slackware64/PACKAGES.TXT -> ../PACKAGES.TXT
drwxr-xr-x 2 root root 28672 2019-07-29 23:24 ./slackware64/a
-rw-r--r-- 1 root root 327 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txt
@@ -1143,7 +1143,7 @@ drwxr-xr-x 2 root root 28672 2019-07-29 23:24 ./slackware64/a
-rw-r--r-- 1 root root 540 2018-04-13 13:15 ./slackware64/a/zoo-2.10_22-x86_64-2.txt
-rw-r--r-- 1 root root 56156 2018-04-13 13:15 ./slackware64/a/zoo-2.10_22-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 13:15 ./slackware64/a/zoo-2.10_22-x86_64-2.txz.asc
-drwxr-xr-x 2 root root 20480 2019-08-01 00:27 ./slackware64/ap
+drwxr-xr-x 2 root root 20480 2019-08-01 21:37 ./slackware64/ap
-rw-r--r-- 1 root root 291 2018-04-13 13:17 ./slackware64/ap/a2ps-4.14-x86_64-7.txt
-rw-r--r-- 1 root root 694880 2018-04-13 13:17 ./slackware64/ap/a2ps-4.14-x86_64-7.txz
-rw-r--r-- 1 root root 163 2018-04-13 13:17 ./slackware64/ap/a2ps-4.14-x86_64-7.txz.asc
@@ -1283,9 +1283,9 @@ drwxr-xr-x 2 root root 20480 2019-08-01 00:27 ./slackware64/ap
-rw-r--r-- 1 root root 489 2019-05-13 21:29 ./slackware64/ap/man-pages-5.01-noarch-1.txt
-rw-r--r-- 1 root root 3309944 2019-05-13 21:29 ./slackware64/ap/man-pages-5.01-noarch-1.txz
-rw-r--r-- 1 root root 163 2019-05-13 21:29 ./slackware64/ap/man-pages-5.01-noarch-1.txz.asc
--rw-r--r-- 1 root root 369 2019-07-05 19:31 ./slackware64/ap/mariadb-10.4.6-x86_64-2.txt
--rw-r--r-- 1 root root 32630988 2019-07-05 19:31 ./slackware64/ap/mariadb-10.4.6-x86_64-2.txz
--rw-r--r-- 1 root root 163 2019-07-05 19:31 ./slackware64/ap/mariadb-10.4.6-x86_64-2.txz.asc
+-rw-r--r-- 1 root root 369 2019-08-01 18:51 ./slackware64/ap/mariadb-10.4.7-x86_64-1.txt
+-rw-r--r-- 1 root root 32920460 2019-08-01 18:51 ./slackware64/ap/mariadb-10.4.7-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-01 18:51 ./slackware64/ap/mariadb-10.4.7-x86_64-1.txz.asc
-rw-r--r-- 1 root root 489 2019-06-24 18:10 ./slackware64/ap/mc-4.8.23-x86_64-1.txt
-rw-r--r-- 1 root root 1748416 2019-06-24 18:10 ./slackware64/ap/mc-4.8.23-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-06-24 18:10 ./slackware64/ap/mc-4.8.23-x86_64-1.txz.asc
@@ -1617,7 +1617,7 @@ drwxr-xr-x 2 root root 4096 2019-07-29 02:41 ./slackware64/k
-rw-r--r-- 1 root root 1171 2019-07-29 02:08 ./slackware64/k/maketag
-rw-r--r-- 1 root root 1171 2019-07-29 02:08 ./slackware64/k/maketag.ez
-rw-r--r-- 1 root root 18 2019-07-29 02:08 ./slackware64/k/tagfile
-drwxr-xr-x 2 root root 45056 2019-07-17 22:16 ./slackware64/kde
+drwxr-xr-x 2 root root 45056 2019-08-01 21:37 ./slackware64/kde
-rw-r--r-- 1 root root 319 2018-06-02 22:05 ./slackware64/kde/amarok-2.9.0-x86_64-3.txt
-rw-r--r-- 1 root root 47003780 2018-06-02 22:05 ./slackware64/kde/amarok-2.9.0-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-06-02 22:05 ./slackware64/kde/amarok-2.9.0-x86_64-3.txz.asc
@@ -2162,12 +2162,12 @@ drwxr-xr-x 2 root root 45056 2019-07-17 22:16 ./slackware64/kde
-rw-r--r-- 1 root root 422 2018-04-17 10:47 ./slackware64/kde/print-manager-4.14.3-x86_64-3.txt
-rw-r--r-- 1 root root 239112 2018-04-17 10:47 ./slackware64/kde/print-manager-4.14.3-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-17 10:47 ./slackware64/kde/print-manager-4.14.3-x86_64-3.txz.asc
--rw-r--r-- 1 root root 148 2019-02-19 23:54 ./slackware64/kde/pykde4-4.14.3-x86_64-8.txt
--rw-r--r-- 1 root root 4480120 2019-02-19 23:54 ./slackware64/kde/pykde4-4.14.3-x86_64-8.txz
--rw-r--r-- 1 root root 163 2019-02-19 23:54 ./slackware64/kde/pykde4-4.14.3-x86_64-8.txz.asc
--rw-r--r-- 1 root root 447 2018-12-31 20:35 ./slackware64/kde/qtruby-4.14.3-x86_64-9.txt
--rw-r--r-- 1 root root 408572 2018-12-31 20:35 ./slackware64/kde/qtruby-4.14.3-x86_64-9.txz
--rw-r--r-- 1 root root 163 2018-12-31 20:35 ./slackware64/kde/qtruby-4.14.3-x86_64-9.txz.asc
+-rw-r--r-- 1 root root 148 2019-08-01 19:46 ./slackware64/kde/pykde4-4.14.3-x86_64-9.txt
+-rw-r--r-- 1 root root 4416312 2019-08-01 19:46 ./slackware64/kde/pykde4-4.14.3-x86_64-9.txz
+-rw-r--r-- 1 root root 163 2019-08-01 19:46 ./slackware64/kde/pykde4-4.14.3-x86_64-9.txz.asc
+-rw-r--r-- 1 root root 447 2019-08-01 19:50 ./slackware64/kde/qtruby-4.14.3-x86_64-10.txt
+-rw-r--r-- 1 root root 418736 2019-08-01 19:50 ./slackware64/kde/qtruby-4.14.3-x86_64-10.txz
+-rw-r--r-- 1 root root 163 2019-08-01 19:50 ./slackware64/kde/qtruby-4.14.3-x86_64-10.txz.asc
-rw-r--r-- 1 root root 146 2018-04-17 12:00 ./slackware64/kde/rocs-4.14.3-x86_64-3.txt
-rw-r--r-- 1 root root 1371232 2018-04-17 12:00 ./slackware64/kde/rocs-4.14.3-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-17 12:00 ./slackware64/kde/rocs-4.14.3-x86_64-3.txz.asc
@@ -2180,9 +2180,9 @@ drwxr-xr-x 2 root root 45056 2019-07-17 22:16 ./slackware64/kde
-rw-r--r-- 1 root root 156 2018-04-17 10:29 ./slackware64/kde/smokekde-4.14.3-x86_64-3.txt
-rw-r--r-- 1 root root 1842228 2018-04-17 10:29 ./slackware64/kde/smokekde-4.14.3-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-17 10:29 ./slackware64/kde/smokekde-4.14.3-x86_64-3.txz.asc
--rw-r--r-- 1 root root 184 2018-04-17 10:26 ./slackware64/kde/smokeqt-4.14.3-x86_64-5.txt
--rw-r--r-- 1 root root 2895560 2018-04-17 10:26 ./slackware64/kde/smokeqt-4.14.3-x86_64-5.txz
--rw-r--r-- 1 root root 163 2018-04-17 10:26 ./slackware64/kde/smokeqt-4.14.3-x86_64-5.txz.asc
+-rw-r--r-- 1 root root 184 2019-08-01 19:49 ./slackware64/kde/smokeqt-4.14.3-x86_64-6.txt
+-rw-r--r-- 1 root root 2913932 2019-08-01 19:49 ./slackware64/kde/smokeqt-4.14.3-x86_64-6.txz
+-rw-r--r-- 1 root root 163 2019-08-01 19:49 ./slackware64/kde/smokeqt-4.14.3-x86_64-6.txz.asc
-rw-r--r-- 1 root root 410 2018-04-17 12:00 ./slackware64/kde/step-4.14.3-x86_64-6.txt
-rw-r--r-- 1 root root 569616 2018-04-17 12:00 ./slackware64/kde/step-4.14.3-x86_64-6.txz
-rw-r--r-- 1 root root 163 2018-04-17 12:00 ./slackware64/kde/step-4.14.3-x86_64-6.txz.asc
@@ -2457,7 +2457,7 @@ drwxr-xr-x 2 root root 20480 2016-03-10 03:11 ./slackware64/kdei
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag.ez
-rw-r--r-- 1 root root 1500 2018-03-01 07:54 ./slackware64/kdei/tagfile
-drwxr-xr-x 2 root root 69632 2019-08-01 00:27 ./slackware64/l
+drwxr-xr-x 2 root root 69632 2019-08-01 21:37 ./slackware64/l
-rw-r--r-- 1 root root 338 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txt
-rw-r--r-- 1 root root 149752 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txz
-rw-r--r-- 1 root root 163 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txz.asc
@@ -2473,12 +2473,12 @@ drwxr-xr-x 2 root root 69632 2019-08-01 00:27 ./slackware64/l
-rw-r--r-- 1 root root 477 2019-07-23 19:21 ./slackware64/l/Mako-1.0.14-x86_64-1.txt
-rw-r--r-- 1 root root 160108 2019-07-23 19:21 ./slackware64/l/Mako-1.0.14-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-07-23 19:21 ./slackware64/l/Mako-1.0.14-x86_64-1.txz.asc
--rw-r--r-- 1 root root 276 2019-02-19 23:47 ./slackware64/l/PyQt-4.12.1-x86_64-3.txt
--rw-r--r-- 1 root root 9837824 2019-02-19 23:47 ./slackware64/l/PyQt-4.12.1-x86_64-3.txz
--rw-r--r-- 1 root root 163 2019-02-19 23:47 ./slackware64/l/PyQt-4.12.1-x86_64-3.txz.asc
--rw-r--r-- 1 root root 667 2019-02-19 23:42 ./slackware64/l/QScintilla-2.10.8-x86_64-2.txt
--rw-r--r-- 1 root root 1817924 2019-02-19 23:42 ./slackware64/l/QScintilla-2.10.8-x86_64-2.txz
--rw-r--r-- 1 root root 163 2019-02-19 23:42 ./slackware64/l/QScintilla-2.10.8-x86_64-2.txz.asc
+-rw-r--r-- 1 root root 268 2019-08-01 19:39 ./slackware64/l/PyQt-4.12.3-x86_64-1.txt
+-rw-r--r-- 1 root root 9848212 2019-08-01 19:39 ./slackware64/l/PyQt-4.12.3-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-01 19:39 ./slackware64/l/PyQt-4.12.3-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 667 2019-08-01 19:04 ./slackware64/l/QScintilla-2.11.2-x86_64-1.txt
+-rw-r--r-- 1 root root 2189172 2019-08-01 19:04 ./slackware64/l/QScintilla-2.11.2-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-01 19:04 ./slackware64/l/QScintilla-2.11.2-x86_64-1.txz.asc
-rw-r--r-- 1 root root 377 2019-07-25 22:10 ./slackware64/l/SDL2-2.0.10-x86_64-1.txt
-rw-r--r-- 1 root root 623072 2019-07-25 22:10 ./slackware64/l/SDL2-2.0.10-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-07-25 22:10 ./slackware64/l/SDL2-2.0.10-x86_64-1.txz.asc
@@ -3341,9 +3341,9 @@ drwxr-xr-x 2 root root 69632 2019-08-01 00:27 ./slackware64/l
-rw-r--r-- 1 root root 487 2019-03-25 18:49 ./slackware64/l/shared-mime-info-1.12-x86_64-1.txt
-rw-r--r-- 1 root root 533708 2019-03-25 18:49 ./slackware64/l/shared-mime-info-1.12-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-03-25 18:49 ./slackware64/l/shared-mime-info-1.12-x86_64-1.txz.asc
--rw-r--r-- 1 root root 393 2019-02-19 23:42 ./slackware64/l/sip-4.19.8-x86_64-3.txt
--rw-r--r-- 1 root root 545096 2019-02-19 23:42 ./slackware64/l/sip-4.19.8-x86_64-3.txz
--rw-r--r-- 1 root root 163 2019-02-19 23:42 ./slackware64/l/sip-4.19.8-x86_64-3.txz.asc
+-rw-r--r-- 1 root root 393 2019-08-01 19:03 ./slackware64/l/sip-4.19.18-x86_64-1.txt
+-rw-r--r-- 1 root root 566300 2019-08-01 19:03 ./slackware64/l/sip-4.19.18-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-01 19:03 ./slackware64/l/sip-4.19.18-x86_64-1.txz.asc
-rw-r--r-- 1 root root 576 2018-04-13 15:23 ./slackware64/l/slang-2.3.2-x86_64-3.txt
-rw-r--r-- 1 root root 512824 2018-04-13 15:23 ./slackware64/l/slang-2.3.2-x86_64-3.txz
-rw-r--r-- 1 root root 163 2018-04-13 15:23 ./slackware64/l/slang-2.3.2-x86_64-3.txz.asc
@@ -4767,7 +4767,7 @@ drwxr-xr-x 2 root root 65536 2019-07-29 02:41 ./slackware64/x
-rw-r--r-- 1 root root 213 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txt
-rw-r--r-- 1 root root 25288 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txz.asc
-drwxr-xr-x 2 root root 12288 2019-08-01 00:27 ./slackware64/xap
+drwxr-xr-x 2 root root 12288 2019-08-01 21:37 ./slackware64/xap
-rw-r--r-- 1 root root 625 2019-07-17 18:55 ./slackware64/xap/MPlayer-20190717-x86_64-1.txt
-rw-r--r-- 1 root root 2728104 2019-07-17 18:55 ./slackware64/xap/MPlayer-20190717-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-07-17 18:55 ./slackware64/xap/MPlayer-20190717-x86_64-1.txz.asc
@@ -4856,9 +4856,9 @@ drwxr-xr-x 2 root root 12288 2019-08-01 00:27 ./slackware64/xap
-rw-r--r-- 1 root root 480 2019-05-22 21:39 ./slackware64/xap/rxvt-unicode-9.22-x86_64-7.txt
-rw-r--r-- 1 root root 908284 2019-05-22 21:39 ./slackware64/xap/rxvt-unicode-9.22-x86_64-7.txz
-rw-r--r-- 1 root root 163 2019-05-22 21:39 ./slackware64/xap/rxvt-unicode-9.22-x86_64-7.txz.asc
--rw-r--r-- 1 root root 321 2018-11-09 20:46 ./slackware64/xap/sane-1.0.27-x86_64-4.txt
--rw-r--r-- 1 root root 2984404 2018-11-09 20:46 ./slackware64/xap/sane-1.0.27-x86_64-4.txz
--rw-r--r-- 1 root root 163 2018-11-09 20:46 ./slackware64/xap/sane-1.0.27-x86_64-4.txz.asc
+-rw-r--r-- 1 root root 321 2019-08-01 18:36 ./slackware64/xap/sane-1.0.28-x86_64-1.txt
+-rw-r--r-- 1 root root 3120200 2019-08-01 18:36 ./slackware64/xap/sane-1.0.28-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-08-01 18:36 ./slackware64/xap/sane-1.0.28-x86_64-1.txz.asc
-rw-r--r-- 1 root root 400 2018-07-30 21:04 ./slackware64/xap/seamonkey-2.49.4-x86_64-1.txt
-rw-r--r-- 1 root root 52295564 2018-07-30 21:04 ./slackware64/xap/seamonkey-2.49.4-x86_64-1.txz
-rw-r--r-- 1 root root 163 2018-07-30 21:04 ./slackware64/xap/seamonkey-2.49.4-x86_64-1.txz.asc
@@ -5007,11 +5007,11 @@ drwxr-xr-x 2 root root 4096 2019-02-17 23:51 ./slackware64/y
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag.ez
-rw-r--r-- 1 root root 14 2018-03-01 07:55 ./slackware64/y/tagfile
-drwxr-xr-x 19 root root 4096 2019-08-01 00:32 ./source
--rw-r--r-- 1 root root 469453 2019-08-01 00:32 ./source/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-08-01 00:32 ./source/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 662235 2019-08-01 00:31 ./source/FILE_LIST
--rw-r--r-- 1 root root 17307917 2019-08-01 00:31 ./source/MANIFEST.bz2
+drwxr-xr-x 19 root root 4096 2019-08-01 21:41 ./source
+-rw-r--r-- 1 root root 469790 2019-08-01 21:41 ./source/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-08-01 21:41 ./source/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 662716 2019-08-01 21:41 ./source/FILE_LIST
+-rw-r--r-- 1 root root 17305455 2019-08-01 21:41 ./source/MANIFEST.bz2
-rw-r--r-- 1 root root 1314 2006-10-02 04:40 ./source/README.TXT
drwxr-xr-x 111 root root 4096 2019-07-29 23:10 ./source/a
-rw-r--r-- 1 root root 1034 2019-05-04 17:56 ./source/a/FTBFSlog
@@ -6247,12 +6247,12 @@ drwxr-xr-x 2 root root 4096 2019-05-13 21:03 ./source/ap/man-pages
-rwxr-xr-x 1 root root 3859 2019-03-07 17:44 ./source/ap/man-pages/man-pages.SlackBuild
-rw-r--r-- 1 root root 48 2018-05-01 15:30 ./source/ap/man-pages/man-pages.url
-rw-r--r-- 1 root root 946 2018-02-27 06:13 ./source/ap/man-pages/slack-desc
-drwxr-xr-x 2 root root 4096 2019-07-05 19:07 ./source/ap/mariadb
+drwxr-xr-x 2 root root 4096 2019-08-01 18:23 ./source/ap/mariadb
-rw-r--r-- 1 root root 418 2017-09-08 16:20 ./source/ap/mariadb/doinst.sh.gz
--rw-r--r-- 1 root root 46731279 2019-06-17 22:00 ./source/ap/mariadb/mariadb-10.4.6.tar.lz
--rwxr-xr-x 1 root root 7579 2019-07-05 19:20 ./source/ap/mariadb/mariadb.SlackBuild
+-rw-r--r-- 1 root root 47716399 2019-07-30 11:32 ./source/ap/mariadb/mariadb-10.4.7.tar.lz
+-rwxr-xr-x 1 root root 7579 2019-08-01 18:24 ./source/ap/mariadb/mariadb.SlackBuild
-rw-r--r-- 1 root root 34 2015-05-07 18:51 ./source/ap/mariadb/mirror.url
--rw-r--r-- 1 root root 532 2019-07-05 19:19 ./source/ap/mariadb/mysql_install_db.nopam.diff.gz
+-rw-r--r-- 1 root root 568 2019-08-01 18:28 ./source/ap/mariadb/mysql_install_db.nopam.diff.gz
-rw-r--r-- 1 root root 1328 2017-08-12 11:02 ./source/ap/mariadb/rc.mysqld.gz
-rw-r--r-- 1 root root 824 2018-02-27 06:12 ./source/ap/mariadb/slack-desc
drwxr-xr-x 3 root root 4096 2019-06-24 18:08 ./source/ap/mc
@@ -6937,7 +6937,7 @@ drwxr-xr-x 2 root root 4096 2018-03-05 18:29 ./source/k/slack-desc
-rw-r--r-- 1 root root 778 2018-02-27 06:16 ./source/k/slack-desc/slack-desc.kernel-source
-rw-r--r-- 1 root root 778 2018-02-27 06:16 ./source/k/slack-desc/slack-desc.kernel-source.vanilla
-rw-r--r-- 1 root root 1000 2018-03-05 08:27 ./source/k/slack-desc/slack-desc.kernel-template
-drwxr-xr-x 14 root root 4096 2018-06-18 02:22 ./source/kde
+drwxr-xr-x 14 root root 4096 2019-08-01 18:57 ./source/kde
-rw-r--r-- 1 root root 1204 2018-06-18 02:50 ./source/kde/FTBFSlog
drwxr-xr-x 2 root root 4096 2019-06-14 18:50 ./source/kde/build
-rw-r--r-- 1 root root 2 2018-06-02 22:02 ./source/kde/build/amarok
@@ -7121,13 +7121,13 @@ drwxr-xr-x 2 root root 4096 2019-06-14 18:50 ./source/kde/build
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/polkit-kde-kcmodules-1
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/poxml
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/print-manager
--rw-r--r-- 1 root root 2 2019-02-19 23:12 ./source/kde/build/pykde4
--rw-r--r-- 1 root root 2 2018-12-31 20:21 ./source/kde/build/qtruby
+-rw-r--r-- 1 root root 2 2019-07-31 21:21 ./source/kde/build/pykde4
+-rw-r--r-- 1 root root 3 2019-07-31 21:45 ./source/kde/build/qtruby
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/rocs
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/skanlite
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/smokegen
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/smokekde
--rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/smokeqt
+-rw-r--r-- 1 root root 2 2019-07-31 21:34 ./source/kde/build/smokeqt
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/step
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/superkaramba
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/svgpart
@@ -7135,7 +7135,7 @@ drwxr-xr-x 2 root root 4096 2019-06-14 18:50 ./source/kde/build
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/umbrello
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/wicd-kde
-rw-r--r-- 1 root root 2 2018-04-13 02:43 ./source/kde/build/zeroconf-ioslave
-drwxr-xr-x 2 root root 4096 2018-01-30 22:53 ./source/kde/cmake
+drwxr-xr-x 2 root root 4096 2019-08-01 04:40 ./source/kde/cmake
-rw-r--r-- 1 root root 821 2018-03-08 02:39 ./source/kde/cmake/amarok
-rw-r--r-- 1 root root 580 2011-12-14 23:48 ./source/kde/cmake/analitza
-rw-r--r-- 1 root root 316 2011-07-28 15:24 ./source/kde/cmake/bluedevil
@@ -7152,6 +7152,7 @@ drwxr-xr-x 2 root root 4096 2018-01-30 22:53 ./source/kde/cmake
-rw-r--r-- 1 root root 1120 2012-06-01 11:16 ./source/kde/cmake/kdebindings
-rw-r--r-- 1 root root 498 2011-07-31 10:27 ./source/kde/cmake/kdelibs
-rw-r--r-- 1 root root 442 2011-07-31 10:27 ./source/kde/cmake/kdenetwork
+-rw-r--r-- 1 root root 504 2019-08-01 04:43 ./source/kde/cmake/kdepimlibs
-rw-r--r-- 1 root root 492 2018-01-30 03:33 ./source/kde/cmake/kdesdk-kioslaves
-rw-r--r-- 1 root root 483 2018-01-30 22:20 ./source/kde/cmake/kdevelop-pg-qt
-rw-r--r-- 1 root root 532 2011-07-31 10:28 ./source/kde/cmake/kdewebdev
@@ -7246,7 +7247,7 @@ drwxr-xr-x 2 root root 4096 2011-12-13 22:25 ./source/kde/doinst.sh
-rw-r--r-- 1 root root 129 2011-07-28 15:07 ./source/kde/doinst.sh/skanlite
-rw-r--r-- 1 root root 129 2011-07-28 14:43 ./source/kde/doinst.sh/step
-rw-r--r-- 1 root root 126 2011-07-28 14:44 ./source/kde/doinst.sh/wicd-kde
--rwxr-xr-x 1 root root 20714 2018-04-28 01:40 ./source/kde/kde.SlackBuild
+-rwxr-xr-x 1 root root 21082 2019-08-01 04:47 ./source/kde/kde.SlackBuild
-rw-r--r-- 1 root root 2195 2018-09-18 22:05 ./source/kde/kde.options
drwxr-xr-x 2 root root 4096 2017-04-16 17:59 ./source/kde/make
-rw-r--r-- 1 root root 229 2017-04-16 16:41 ./source/kde/make/pykde4
@@ -7276,7 +7277,7 @@ drwxr-xr-x 2 root root 4096 2018-06-24 20:11 ./source/kde/modules
-rw-r--r-- 1 root root 42 2011-07-29 21:25 ./source/kde/modules/polkit-kde
-rw-r--r-- 1 root root 108 2011-07-31 15:51 ./source/kde/noarch
-rw-r--r-- 1 root root 191 2012-10-13 20:59 ./source/kde/package-blacklist
-drwxr-xr-x 28 root root 4096 2019-03-17 20:15 ./source/kde/patch
+drwxr-xr-x 29 root root 4096 2019-07-31 21:43 ./source/kde/patch
-rw-r--r-- 1 root root 328 2011-07-28 17:38 ./source/kde/patch/README
drwxr-xr-x 2 root root 4096 2019-03-17 23:38 ./source/kde/patch/calligra
-rw-r--r-- 1 root root 1741 2019-03-17 23:38 ./source/kde/patch/calligra.patch
@@ -7372,13 +7373,17 @@ drwxr-xr-x 2 root root 4096 2015-10-24 23:13 ./source/kde/patch/plasma-nm
drwxr-xr-x 2 root root 4096 2018-01-30 18:56 ./source/kde/patch/print-manager
-rw-r--r-- 1 root root 166 2018-01-30 18:57 ./source/kde/patch/print-manager.patch
-rw-r--r-- 1 root root 462 2018-01-30 18:56 ./source/kde/patch/print-manager/print-manager.fix.build.against.cups22.diff.gz
-drwxr-xr-x 2 root root 4096 2018-01-29 22:37 ./source/kde/patch/pykde4
--rw-r--r-- 1 root root 750 2018-01-29 22:37 ./source/kde/patch/pykde4.patch
+drwxr-xr-x 2 root root 4096 2019-07-31 19:23 ./source/kde/patch/pykde4
+-rw-r--r-- 1 root root 903 2019-07-31 19:23 ./source/kde/patch/pykde4.patch
-rw-r--r-- 1 root root 3465 2017-04-16 15:44 ./source/kde/patch/pykde4/0003-Fix-build-with-sip-4.19.patch.gz
+-rw-r--r-- 1 root root 249 2019-07-31 19:23 ./source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch.gz
-rw-r--r-- 1 root root 338 2017-02-25 23:18 ./source/kde/patch/pykde4/Annotate-KAutoMount-as-Abstract.patch.gz
-rw-r--r-- 1 root root 450 2017-04-16 15:46 ./source/kde/patch/pykde4/fix_kpythonpluginfactory_build.diff.gz
-rw-r--r-- 1 root root 609 2018-01-17 12:40 ./source/kde/patch/pykde4/pykde4-4.14.3-checkstate-sip-4.19.5.patch.gz
-rw-r--r-- 1 root root 359 2016-09-07 19:32 ./source/kde/patch/pykde4/pykde4.solid.cmake.diff.gz
+drwxr-xr-x 2 root root 4096 2019-07-31 21:42 ./source/kde/patch/smokeqt
+-rw-r--r-- 1 root root 151 2019-07-31 21:43 ./source/kde/patch/smokeqt.patch
+-rw-r--r-- 1 root root 187 2019-07-31 21:42 ./source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff.gz
drwxr-xr-x 2 root root 4096 2013-02-10 15:49 ./source/kde/patch/strigi-multimedia
-rw-r--r-- 1 root root 169 2013-02-10 23:50 ./source/kde/patch/strigi-multimedia.patch
-rw-r--r-- 1 root root 639 2012-06-01 15:16 ./source/kde/patch/strigi-multimedia/strigi-multimedia_port.patch.gz
@@ -8086,7 +8091,7 @@ drwxr-xr-x 2 root root 4096 2018-02-27 06:35 ./source/kdei/kde-l10n/slack
-rw-r--r-- 1 root root 648 2018-02-27 06:35 ./source/kdei/kde-l10n/slack-desc/slack-desc.kde-l10n-wa
-rw-r--r-- 1 root root 698 2018-02-27 06:37 ./source/kdei/kde-l10n/slack-desc/slack-desc.kde-l10n-zh_CN
-rw-r--r-- 1 root root 687 2018-02-27 06:37 ./source/kdei/kde-l10n/slack-desc/slack-desc.kde-l10n-zh_TW
-drwxr-xr-x 318 root root 12288 2019-07-28 19:29 ./source/l
+drwxr-xr-x 318 root root 12288 2019-08-01 19:29 ./source/l
drwxr-xr-x 3 root root 4096 2018-09-18 22:04 ./source/l/ConsoleKit2
-rw-r--r-- 1 root root 705880 2015-08-10 06:49 ./source/l/ConsoleKit2/ConsoleKit2-1.0.0.tar.xz
-rwxr-xr-x 1 root root 5326 2018-09-18 22:04 ./source/l/ConsoleKit2/ConsoleKit2.SlackBuild
@@ -8127,15 +8132,16 @@ drwxr-xr-x 2 root root 4096 2019-07-23 19:21 ./source/l/Mako
-rwxr-xr-x 1 root root 2905 2019-03-25 05:00 ./source/l/Mako/Mako.SlackBuild
-rw-r--r-- 1 root root 33 2018-11-26 21:01 ./source/l/Mako/Mako.url
-rw-r--r-- 1 root root 961 2018-02-27 06:12 ./source/l/Mako/slack-desc
-drwxr-xr-x 2 root root 4096 2019-02-19 21:35 ./source/l/PyQt
--rwxr-xr-x 1 root root 4543 2019-02-19 21:35 ./source/l/PyQt/PyQt.SlackBuild
+drwxr-xr-x 2 root root 4096 2019-07-31 21:03 ./source/l/PyQt
+-rwxr-xr-x 1 root root 4672 2019-07-31 21:03 ./source/l/PyQt/PyQt.SlackBuild
-rw-r--r-- 1 root root 254 2010-03-25 19:48 ./source/l/PyQt/PyQt.phonon.diff.gz
--rw-r--r-- 1 root root 8584344 2017-06-30 09:18 ./source/l/PyQt/PyQt4_gpl_x11-4.12.1.tar.xz
+-rw-r--r-- 1 root root 8493465 2019-02-10 14:56 ./source/l/PyQt/PyQt4_gpl_x11-4.12.3.tar.lz
-rw-r--r-- 1 root root 720 2019-02-21 18:28 ./source/l/PyQt/slack-desc
-drwxr-xr-x 2 root root 4096 2019-02-19 21:35 ./source/l/QScintilla
--rwxr-xr-x 1 root root 4316 2019-02-19 21:35 ./source/l/QScintilla/QScintilla.SlackBuild
+drwxr-xr-x 2 root root 4096 2019-08-01 18:21 ./source/l/QScintilla
+-rwxr-xr-x 1 root root 6602 2019-08-01 18:20 ./source/l/QScintilla/QScintilla.SlackBuild
-rw-r--r-- 1 root root 57 2017-11-26 19:43 ./source/l/QScintilla/QScintilla.url
--rw-r--r-- 1 root root 1353839 2018-10-03 08:08 ./source/l/QScintilla/QScintilla_gpl-2.10.8.tar.lz
+-rw-r--r-- 1 root root 1430402 2019-06-26 07:41 ./source/l/QScintilla/QScintilla_gpl-2.11.2.tar.lz
+-rw-r--r-- 1 root root 211 2019-02-20 23:06 ./source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff.gz
-rw-r--r-- 1 root root 1121 2018-02-27 06:12 ./source/l/QScintilla/slack-desc
drwxr-xr-x 2 root root 4096 2019-07-25 22:10 ./source/l/SDL2
-rw-r--r-- 1 root root 3929847 2019-07-25 18:06 ./source/l/SDL2/SDL2-2.0.10.tar.lz
@@ -9715,10 +9721,9 @@ drwxr-xr-x 2 root root 4096 2019-03-25 18:49 ./source/l/shared-mime-info
-rwxr-xr-x 1 root root 4619 2019-03-25 18:48 ./source/l/shared-mime-info/shared-mime-info.SlackBuild
-rw-r--r-- 1 root root 52 2019-03-25 17:24 ./source/l/shared-mime-info/shared-mime-info.url
-rw-r--r-- 1 root root 951 2018-02-27 06:12 ./source/l/shared-mime-info/slack-desc
-drwxr-xr-x 2 root root 4096 2019-02-19 21:35 ./source/l/sip
--rw-r--r-- 1 root root 102 2018-06-24 18:07 ./source/l/sip/README.UPGRADES
--rw-r--r-- 1 root root 640441 2018-02-27 17:07 ./source/l/sip/sip-4.19.8.tar.lz
--rwxr-xr-x 1 root root 4384 2019-02-19 21:35 ./source/l/sip/sip.SlackBuild
+drwxr-xr-x 2 root root 4096 2019-08-01 18:56 ./source/l/sip
+-rw-r--r-- 1 root root 654702 2019-07-05 08:41 ./source/l/sip/sip-4.19.18.tar.lz
+-rwxr-xr-x 1 root root 5773 2019-08-01 20:57 ./source/l/sip/sip.SlackBuild
-rw-r--r-- 1 root root 844 2018-11-29 19:17 ./source/l/sip/slack-desc
drwxr-xr-x 2 root root 4096 2018-09-18 20:52 ./source/l/slang
-rw-r--r-- 1 root root 1029 2018-02-27 06:12 ./source/l/slang/slack-desc
@@ -12413,13 +12418,13 @@ drwxr-xr-x 2 root root 4096 2019-04-03 20:41 ./source/xap/gnuchess
-rw-r--r-- 1 root root 224 2004-10-27 06:07 ./source/xap/gnuchess/eboard.desktop
-rw-r--r-- 1 root root 221 2013-03-20 01:49 ./source/xap/gnuchess/eboard.ldl.diff.gz
-rw-r--r-- 1 root root 336 2015-03-23 16:11 ./source/xap/gnuchess/eboard.png16.diff.gz
--rw-r--r-- 1 root root 518760 2017-07-24 23:16 ./source/xap/gnuchess/gnuchess-6.2.5.tar.xz
--rwxr-xr-x 1 root root 6366 2019-04-03 20:41 ./source/xap/gnuchess/gnuchess.SlackBuild
--rw-r--r-- 1 root root 792 2018-02-27 06:13 ./source/xap/gnuchess/slack-desc
--rw-r--r-- 1 root root 2731760 2016-08-01 03:55 ./source/xap/gnuchess/xboard-4.9.1.tar.xz
--rw-r--r-- 1 root root 269 2015-03-20 18:35 ./source/xap/gnuchess/xboard.conf.diff.gz
-drwxr-xr-x 2 root root 4096 2019-05-29 18:28 ./source/xap/gnuplot
--rw-r--r-- 1 root root 4247684 2019-05-29 04:21 ./source/xap/gnuplot/gnuplot-5.2.7.tar.lz
+-rw-r--r-- 1 root root 518760 2017-07-24 23:16 ./source/xap/gnuchess/gnuchess-6.2.5.tar.xz
+-rwxr-xr-x 1 root root 6366 2019-04-03 20:41 ./source/xap/gnuchess/gnuchess.SlackBuild
+-rw-r--r-- 1 root root 792 2018-02-27 06:13 ./source/xap/gnuchess/slack-desc
+-rw-r--r-- 1 root root 2731760 2016-08-01 03:55 ./source/xap/gnuchess/xboard-4.9.1.tar.xz
+-rw-r--r-- 1 root root 269 2015-03-20 18:35 ./source/xap/gnuchess/xboard.conf.diff.gz
+drwxr-xr-x 2 root root 4096 2019-05-29 18:28 ./source/xap/gnuplot
+-rw-r--r-- 1 root root 4247684 2019-05-29 04:21 ./source/xap/gnuplot/gnuplot-5.2.7.tar.lz
-rwxr-xr-x 1 root root 5230 2018-10-30 21:08 ./source/xap/gnuplot/gnuplot.SlackBuild
-rw-r--r-- 1 root root 232 2017-09-30 18:21 ./source/xap/gnuplot/gnuplot.fix.info.generation.diff.gz
-rw-r--r-- 1 root root 24 2018-06-05 04:25 ./source/xap/gnuplot/gnuplot.url
@@ -12529,13 +12534,13 @@ drwxr-xr-x 2 root root 4096 2019-05-22 21:16 ./source/xap/rxvt-unicode
-rw-r--r-- 1 root root 207 2018-03-31 17:17 ./source/xap/rxvt-unicode/rxvt-unicode.desktop
-rw-r--r-- 1 root root 7758 2018-03-31 16:26 ./source/xap/rxvt-unicode/rxvt-unicode.utempter.diff.gz
-rw-r--r-- 1 root root 940 2018-03-31 16:58 ./source/xap/rxvt-unicode/slack-desc
-drwxr-xr-x 2 root root 4096 2018-11-09 20:41 ./source/xap/sane
+drwxr-xr-x 2 root root 4096 2019-08-01 18:32 ./source/xap/sane
-rw-r--r-- 1 root root 133 2006-09-23 08:33 ./source/xap/sane/dll.conf.additions.gz
-rw-r--r-- 1 root root 285 2008-02-12 16:23 ./source/xap/sane/doinst.sh.gz
--rw-r--r-- 1 root root 3581624 2017-05-23 13:08 ./source/xap/sane/sane-backends-1.0.27.tar.xz
+-rw-r--r-- 1 root root 3665344 2019-07-31 13:03 ./source/xap/sane/sane-backends-1.0.28.tar.xz
-rw-r--r-- 1 root root 341 2010-01-20 01:54 ./source/xap/sane/sane-frontends-1.0.14-sane_cap_always_settable.diff.gz
-rw-r--r-- 1 root root 172596 2005-09-18 07:21 ./source/xap/sane/sane-frontends-1.0.14.tar.xz
--rwxr-xr-x 1 root root 5737 2018-11-09 20:41 ./source/xap/sane/sane.SlackBuild
+-rwxr-xr-x 1 root root 5743 2019-08-01 18:33 ./source/xap/sane/sane.SlackBuild
-rw-r--r-- 1 root root 773 2018-02-27 06:13 ./source/xap/sane/slack-desc
drwxr-xr-x 5 root root 4096 2019-05-20 20:35 ./source/xap/seamonkey
drwxr-xr-x 2 root root 4096 2016-07-03 18:05 ./source/xap/seamonkey/autoconf
diff --git a/recompress.sh b/recompress.sh
index 1a10bad8..ede98155 100755
--- a/recompress.sh
+++ b/recompress.sh
@@ -330,6 +330,7 @@ gzip ./source/kde/patch/kdevelop-pg-qt/kdevelop-pg-qt.ftbfs.diff
gzip ./source/kde/patch/kdeconnect-kde/kdeconnect-kde.openssh7.diff
gzip ./source/kde/patch/strigi-multimedia/strigi-multimedia_port.patch
gzip ./source/kde/patch/kscreen/kscreen.broken.test.diff
+gzip ./source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch
gzip ./source/kde/patch/pykde4/fix_kpythonpluginfactory_build.diff
gzip ./source/kde/patch/pykde4/Annotate-KAutoMount-as-Abstract.patch
gzip ./source/kde/patch/pykde4/0003-Fix-build-with-sip-4.19.patch
@@ -350,6 +351,7 @@ gzip ./source/kde/patch/kdepimlibs/kdepimlibs.libical3.diff
gzip ./source/kde/patch/print-manager/print-manager.fix.build.against.cups22.diff
gzip ./source/kde/patch/konsole/konsole.scrollup.diff
gzip ./source/kde/patch/konsole/konsole.term.is.konsole.diff
+gzip ./source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff
gzip ./source/kde/patch/kuser/kuser.cmake.include.checkincludefiles.diff
gzip ./source/y/bsd-games/hangman-words
gzip ./source/y/bsd-games/patches/0008-quiz-Add-answers-to-adults-babies.-Closes-659528.patch
@@ -792,6 +794,7 @@ gzip ./source/l/libwmf/libwmf-0.2.8.4-CVE-2007-3477.patch
gzip ./source/l/libwmf/libwmf-0.2.8.4-CVE-2007-3472.patch
gzip ./source/l/libwmf/libwmf-0.2.8.4-CVE-2007-2756.patch
gzip ./source/l/libwmf/libwmf-0.2.8.4-CVE-2009-3546.patch
+gzip ./source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
gzip ./source/l/gvfs/0001-daemon-meson.build-define-gvfs_rpath-for-libgvfsdaem.patch
gzip ./source/l/gvfs/doinst.sh
gzip ./source/l/openjpeg/openjpeg2_remove-thirdparty.patch
diff --git a/source/ap/mariadb/mariadb.SlackBuild b/source/ap/mariadb/mariadb.SlackBuild
index 4c31d8c3..b3a2b866 100755
--- a/source/ap/mariadb/mariadb.SlackBuild
+++ b/source/ap/mariadb/mariadb.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mariadb
VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# To reduce the package size, the embedded server may be omitted. Currently
# only amarok uses this. To build without embedded support, set this to NO.
diff --git a/source/ap/mariadb/mysql_install_db.nopam.diff b/source/ap/mariadb/mysql_install_db.nopam.diff
index d1fd2ad2..3d67d2bf 100644
--- a/source/ap/mariadb/mysql_install_db.nopam.diff
+++ b/source/ap/mariadb/mysql_install_db.nopam.diff
@@ -1,10 +1,11 @@
---- ./scripts/mysql_install_db.sh.orig 2019-06-17 17:00:32.000000000 -0500
-+++ ./scripts/mysql_install_db.sh 2019-07-05 14:18:46.519035789 -0500
-@@ -467,23 +467,24 @@
+--- ./scripts/mysql_install_db.sh.orig 2019-08-01 13:25:00.406477885 -0500
++++ ./scripts/mysql_install_db.sh 2019-08-01 13:27:53.316490799 -0500
+@@ -480,25 +480,26 @@
if test -n "$user"
then
-- chown $user "$pamtooldir/auth_pam_tool_dir"
+- chown $user "$pamtooldir/auth_pam_tool_dir" && \
+- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
- if test $? -ne 0
- then
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
@@ -13,7 +14,8 @@
- fi
- if test -z "$srcdir"
- then
-- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
+- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
- if test $? -ne 0
- then
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
@@ -22,7 +24,8 @@
- fi
- fi
+ # Commented out since Slackware does not currently provide PAM:
-+ #chown $user "$pamtooldir/auth_pam_tool_dir"
++ #chown $user "$pamtooldir/auth_pam_tool_dir" && \
++ #chmod 0700 "$pamtooldir/auth_pam_tool_dir"
+ #if test $? -ne 0
+ #then
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
@@ -31,7 +34,8 @@
+ #fi
+ #if test -z "$srcdir"
+ #then
-+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
++ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
++ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+ # if test $? -ne 0
+ # then
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
diff --git a/source/kde/build/pykde4 b/source/kde/build/pykde4
index 45a4fb75..ec635144 100644
--- a/source/kde/build/pykde4
+++ b/source/kde/build/pykde4
@@ -1 +1 @@
-8
+9
diff --git a/source/kde/build/qtruby b/source/kde/build/qtruby
index ec635144..f599e28b 100644
--- a/source/kde/build/qtruby
+++ b/source/kde/build/qtruby
@@ -1 +1 @@
-9
+10
diff --git a/source/kde/build/smokeqt b/source/kde/build/smokeqt
index 7ed6ff82..1e8b3149 100644
--- a/source/kde/build/smokeqt
+++ b/source/kde/build/smokeqt
@@ -1 +1 @@
-5
+6
diff --git a/source/kde/cmake/kdepimlibs b/source/kde/cmake/kdepimlibs
new file mode 100644
index 00000000..3cdeb397
--- /dev/null
+++ b/source/kde/cmake/kdepimlibs
@@ -0,0 +1,17 @@
+mkdir build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DKDE_PLATFORM_FEATURE_DISABLE_DEPRECATED=TRUE \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DBoost_NO_BOOST_CMAKE=ON \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+
diff --git a/source/kde/kde.SlackBuild b/source/kde/kde.SlackBuild
index 1b58e99d..11c8f2bd 100755
--- a/source/kde/kde.SlackBuild
+++ b/source/kde/kde.SlackBuild
@@ -580,8 +580,14 @@ do
else
if [ -z "$PRINT_PACKAGE_NAME" ]; then
echo "${module} failed to build."
+ touch "${SLACK_KDE_BUILD_DIR}/${kde_module}.failed"
+ fi
+ # Seems counterproductive to exit upon the first package build failure. Perhaps sending it
+ # through another time would help it, if later packages fix the build environment.
+ # If you still want to exit on first failure, set $EXIT_ON_FAIL to anything.
+ if [ ! -z "$EXIT_ON_FAIL" ]; then
+ exit 1
fi
- exit 1
fi
cd - > /dev/null
done
diff --git a/source/kde/patch/pykde4.patch b/source/kde/patch/pykde4.patch
index 97bad9af..68be53e8 100644
--- a/source/kde/patch/pykde4.patch
+++ b/source/kde/patch/pykde4.patch
@@ -3,3 +3,4 @@ zcat $CWD/patch/pykde4/0003-Fix-build-with-sip-4.19.patch.gz | patch -p1 --verbo
zcat $CWD/patch/pykde4/fix_kpythonpluginfactory_build.diff.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
zcat $CWD/patch/pykde4/Annotate-KAutoMount-as-Abstract.patch.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
zcat $CWD/patch/pykde4/pykde4-4.14.3-checkstate-sip-4.19.5.patch.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
+zcat $CWD/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch b/source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch
new file mode 100644
index 00000000..a67888c8
--- /dev/null
+++ b/source/kde/patch/pykde4/0004-Fix-build-with-sip-4.19.16.patch
@@ -0,0 +1,18 @@
+--- ./sip/kdecore/typedefs.sip.orig 2014-08-14 15:17:11.000000000 -0500
++++ ./sip/kdecore/typedefs.sip 2019-07-31 14:22:50.591053652 -0500
+@@ -23,7 +23,7 @@
+
+ typedef long time_t;
+
+-typedef ulong size_t;
++// typedef ulong size_t;
+
+ typedef int ssize_t;
+
+@@ -1028,4 +1028,4 @@
+ return sipGetState(sipTransferObj);
+ %End
+ };
+-%End
+\ No newline at end of file
++%End
diff --git a/source/kde/patch/smokeqt.patch b/source/kde/patch/smokeqt.patch
new file mode 100644
index 00000000..a39121d4
--- /dev/null
+++ b/source/kde/patch/smokeqt.patch
@@ -0,0 +1 @@
+zcat $CWD/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff.gz | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff b/source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff
new file mode 100644
index 00000000..6f94fec5
--- /dev/null
+++ b/source/kde/patch/smokeqt/smokeqt.qscintilla2.uintptr_t.diff
@@ -0,0 +1,7 @@
+--- ./qsci/qscintilla2_includes.h.orig 2013-11-24 10:25:24.000000000 -0600
++++ ./qsci/qscintilla2_includes.h 2019-07-31 16:42:20.264301942 -0500
+@@ -1,3 +1,4 @@
++#include <stdint.h> /* for uintptr_t */
+ #include <qsciabstractapis.h>
+ #include <qsciapis.h>
+ #include <qscicommand.h>
diff --git a/source/l/PyQt/PyQt.SlackBuild b/source/l/PyQt/PyQt.SlackBuild
index 6c2bd12c..7f866e16 100755
--- a/source/l/PyQt/PyQt.SlackBuild
+++ b/source/l/PyQt/PyQt.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# Slackware build script for PyQt
@@ -29,19 +29,30 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=PyQt
-VERSION=${VERSION:-$(echo ${PKGNAM}4_gpl_x11-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo ${PKGNAM}4_gpl_x11-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+else
+ SLKCFLAGS="-O2"
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
@@ -57,26 +68,15 @@ NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
-else
- SLKCFLAGS="-O2"
-fi
-
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
-PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
+
rm -rf ${PKGNAM}4_gpl_x11-$VERSION
-tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.?z || exit 1
cd ${PKGNAM}4_gpl_x11-$VERSION || exit 1
# Fix phonon detection:
@@ -91,26 +91,31 @@ find . \
# This avoids compiling a version number into KDE's .la files:
export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+export QT4DIR=/usr/lib${LIBDIRSUFFIX}/qt
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
-python3 configure.py --confirm-license --verbose
-
+python3 configure.py \
+ --confirm-license \
+ --qsci-api \
+ --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+make clean
mv $PKG/usr/bin/pyuic4 $PKG/usr/bin/pyuic4-py3
+rm -rf $PKG/$PYTHON3LIB/${PKGNAM}4/uic/port_v2/
-make clean
-
-python configure.py --confirm-license --verbose
+python2 configure.py \
+ --confirm-license \
+ --qsci-api \
+ --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
-rm -rf $PKG/$PYTHON3LIB/PyQt4/uic/port_v2/
-rm -rf $PKG/$PYTHONLIB/PyQt4/uic/port_v3/
+rm -rf $PKG/$PYTHON2LIB/${PKGNAM}4/uic/port_v3/
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -132,4 +137,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
-
diff --git a/source/l/QScintilla/QScintilla.SlackBuild b/source/l/QScintilla/QScintilla.SlackBuild
index a0fe855c..e8ce59c7 100755
--- a/source/l/QScintilla/QScintilla.SlackBuild
+++ b/source/l/QScintilla/QScintilla.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
# Slackware build script for QScintilla
# Copyright 2008 Robby Workman <rworkman@slackware.com> Northport, AL, USA
-# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,11 +23,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modified 2018, 2019 by Eric Hameleers <alien@slackware.com> (add Qt5 support)
+
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
VERSION=${VERSION:-$(echo ${PKGNAM}_*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -35,15 +37,14 @@ TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
@@ -77,6 +78,10 @@ cd $TMP
rm -rf ${PKGNAM}_gpl-$VERSION
tar xvf $CWD/${PKGNAM}_gpl-$VERSION.tar.?z || exit 1
cd ${PKGNAM}_gpl-$VERSION || exit 1
+
+# Fix compilation:
+zcat $CWD/QScintilla_qsciscintillabase_qurl.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -84,7 +89,72 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Define QMAKEFEATURES to that we can re-use already built libs
+# without spamming the harddisk:
+export QMAKEFEATURES=${PWD}/Qt4Qt5/features/
+
+# Conditional build of Qt5 support:
+if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
+ echo "-- Compiling Qt5 support --"
+ # QT5 support first:
+ cd Qt4Qt5
+ echo "-- >> Qt4Qt5 --"
+ qmake-qt5 \
+ -o Makefile \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
+ qscintilla.pro || exit 1
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ cd -
+
+ cd designer-Qt4Qt5
+ echo "-- >> designer-Qt4Qt5 --"
+ qmake-qt5 \
+ -o Makefile \
+ INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
+ designer.pro || exit 1
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ cd -
+
+ cd Python
+ echo "-- >> Python --"
+ python3 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake-qt5 \
+ --pyqt=PyQt5 \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make || exit 1
+ make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+
+ make clean || exit 1
+
+ python2 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake-qt5 \
+ --pyqt=PyQt5 \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make || exit 1
+ make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ cd -
+
+ # In order to compile Qt4 support next, clean up first:
+ make clean -C Qt4Qt5 || exit 1
+ make clean -C designer-Qt4Qt5 || exit 1
+ make clean -C Python || exit 1
+fi
+
+# QT4 SUPPORT CURRENTLY DOES NOT COMPILE...
+# /usr/lib64/qt/include/QtCore/qglobal.h:2242:20: error: invalid application of 'sizeof' to incomplete type 'QUrl'
+# QT4 support:
+echo "-- Compiling Qt4 support --"
cd Qt4Qt5
+ echo "-- >> Qt4Qt5 --"
qmake \
-o Makefile \
QMAKE_CFLAGS+="$SLKCFLAGS" \
@@ -92,13 +162,13 @@ cd Qt4Qt5
qscintilla.pro || exit 1
make $NUMJOBS || exit 1
make install INSTALL_ROOT=$PKG || exit 1
- # Yes, we'll spam the dev environment so we can build the other parts.
- make install || exit 1
cd -
cd designer-Qt4Qt5
+ echo "-- >> designer-Qt4Qt5 --"
qmake \
-o Makefile \
+ INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
QMAKE_CFLAGS+="$SLKCFLAGS" \
QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
designer.pro || exit 1
@@ -107,20 +177,29 @@ cd designer-Qt4Qt5
cd -
cd Python
- python3 configure.py || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ echo "-- >> Python --"
+ python3 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make -j1 || exit 1
+ make -j1 install INSTALL_ROOT=$PKG || exit 1
make clean || exit 1
- python configure.py || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ python2 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make -j1 || exit 1
+ make -j1 install INSTALL_ROOT=$PKG || exit 1
cd -
-# Link the shared libraries into /usr/lib${LIBDIRSUFFIX}:
+# Link the shared qt4 libraries into /usr/lib${LIBDIRSUFFIX}:
( cd $PKG/usr/lib${LIBDIRSUFFIX}
- for file in qt/lib/*.so* ; do
+ for file in $(ls -1 qt/lib/*.so* 2>/dev/null) ; do
ln -sf $file .
done
)
@@ -130,7 +209,8 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- *GPL* COPYING* LICENSE NEWS OPENSOURCE-NOTICE.TXT README* doc/html-Qt4 doc/Scintilla \
+ LICENSE NEWS README* \
+ doc/html-Qt4Qt5 doc/Scintilla \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
@@ -138,4 +218,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff b/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
new file mode 100644
index 00000000..9720a4ba
--- /dev/null
+++ b/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
@@ -0,0 +1,11 @@
+--- QScintilla_gpl-2.11.1/Qt4Qt5/qsciscintillabase.cpp.orig
++++ QScintilla_gpl-2.11.1/Qt4Qt5/qsciscintillabase.cpp
+@@ -37,6 +37,7 @@
+ #include <QScrollBar>
+ #include <QStyle>
+ #include <QTextCodec>
++#include <QUrl>
+
+ #include "SciAccessibility.h"
+ #include "ScintillaQt.h"
+
diff --git a/source/l/sip/README.UPGRADES b/source/l/sip/README.UPGRADES
deleted file mode 100644
index 82bdb42d..00000000
--- a/source/l/sip/README.UPGRADES
+++ /dev/null
@@ -1,2 +0,0 @@
-When upgrading SIP, please test that PyQt and pykde4 (or Plasma 5 equivalent)
-still compile properly.
diff --git a/source/l/sip/sip.SlackBuild b/source/l/sip/sip.SlackBuild
index 01450e39..b8c898c5 100755
--- a/source/l/sip/sip.SlackBuild
+++ b/source/l/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/bash
+#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,27 +28,26 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i586 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz"
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
exit 0
fi
@@ -64,11 +63,11 @@ else
SLKCFLAGS="-O2"
fi
-PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON2VER=$(python2 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' 2>/dev/null )
-PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -79,6 +78,7 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -86,26 +86,84 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+python2 configure.py \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add the PyQt4 private sip module:
+make clean
+python2 configure.py \
+ --sip-module PyQt4.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add the PyQt5 private sip module:
+make clean
+python2 configure.py \
+ --sip-module PyQt5.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Rename to avoid a clash:
+mv $PKG/usr/bin/sip $PKG/usr/bin/sip2
+
+make clean
+
python3 configure.py \
-b "/usr/bin" \
-d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" || exit 1
-
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
-
-python configure.py \
+# Add the PyQt4 private sip module:
+make clean
+python3 configure.py \
+ --sip-module PyQt4.sip \
+ --no-tools \
-b "/usr/bin" \
- -d "$PYTHONLIB" \
+ -d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+# Add the PyQt5 private sip module:
+make clean
+python3 configure.py \
+ --sip-module PyQt5.sip \
+ --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON3LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Rename to avoid a clash:
+mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
+
+# Create a symbolic link 'sip' pointing to the sip3 binary:
+ln -s sip3 $PKG/usr/bin/sip
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/xap/sane/sane.SlackBuild b/source/xap/sane/sane.SlackBuild
index 13f61445..fbb0b17f 100755
--- a/source/xap/sane/sane.SlackBuild
+++ b/source/xap/sane/sane.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2018 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2018, 2019 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sane
-VERSION=1.0.27
-BACKVER=1.0.27
+VERSION=1.0.28
+BACKVER=1.0.28
FRONTVER=1.0.14
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then